<?php
 // === Classe Personnel ===
 class Personnel
 {  // -- Déclaration de deux constantes --
   const AGE_MIN = 14 ;      
   const AGE_MAX = 65 ;      
   // -- Les attributs ou propriétés --
   private $_nom=""   ;
   private $_prenom="";
   private $_age=0    ;
   // -- __get et __set méthodes magiques --
   public function __get($propriete) {
            if (property_exists($this, $propriete)) {
                return $this->$propriete;
            }
   }
   public function __set($propriete, $valeur) {
     if (property_exists($this, $propriete)) {
       if ($propriete=="age") {
         if (($valeur>=self::AGE_MIN)&&($valeur<self::AGE_MAX))
           $this->_age=intval(trim($valeur));
       }
       else {
           $this->$propriete = strtoupper(trim($valeur));
       }
     }
   }
 }
?>
